from typing import Literal

from pydantic import BaseModel


class FrontedData(BaseModel):
    commands: list[str]
    byte_data: str = None
    params: dict = None


class WatchData(BaseModel):
    sdp: str
    type: str
    task: Literal['', 'FaceRecognition'] | None
