async function loadImages(){
    const imageElements = document.getElementsByTagName("img")
    for (const imageElement of imageElements) {
        const methodModel =imageElement.id.split("image_").slice(-1)[0]
        try {
            let response = {}
            const image_data = await fetch(`/collection/${methodModel}/1`, {
                method: "GET",
                headers: {
                    "Content-Type": "application/json"
                }
            })
            response = await image_data.json()
            imageElement.src = Object.values(response)[0]["byte_image"]
        } catch (err) {
            // Handle the error
            console.error(err)
        }
    }
}


loadImages()
